Subject: Re: linux-next: build failure after merge of the drm tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 19 Mar 2012 13:45:58 +1100

Hi Dave,

On Fri, 16 Mar 2012 13:53:03 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the drm tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> ERROR: "drm_usb_init" [drivers/gpu/drm/udl/udl.ko] undefined!
> ERROR: "drm_get_usb_dev" [drivers/gpu/drm/udl/udl.ko] undefined!
> ERROR: "drm_usb_exit" [drivers/gpu/drm/udl/udl.ko] undefined!
> 
> Caused by commit 5320918b9a87 ("drm/udl: initial UDL driver (v4)").
> 
> I have used the drm tree from next-20120315 for today.

Your attempted fix (commit 2de6d4a9e46c "drm: fix build with UDL if USB
is a module") hasn't worked as I still get the same errors ...

-- 
Cheers,
Stephen Rothwell                    [email-masked]